package com.mortals.xhx.module.sms.model;

import java.util.List;
import com.mortals.xhx.module.sms.model.SmsTemplateEntity;
/**
* 短信模板查询对象
*
* @author zxfei
* @date 2022-01-12
*/
public class SmsTemplateQuery extends SmsTemplateEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 站点ID */
    private Long siteidStart;

    /** 结束 站点ID */
    private Long siteidEnd;

    /** 增加 站点ID */
    private Long siteidIncrement;

    /** 站点ID列表 */
    private List <Long> siteidList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 模板code */
    private List<String> codeList;

    /** 备注 */
    private List<String> summaryList;

    /**  */
    private List<String> contentList;

    /** 开始 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信) */
    private Integer typeStart;

    /** 结束 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信) */
    private Integer typeEnd;

    /** 增加 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信) */
    private Integer typeIncrement;

    /** 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)列表 */
    private List <Integer> typeList;

    /** 开始 系统来源(1.排号系统,2.取件系统） */
    private Integer sourceStart;

    /** 结束 系统来源(1.排号系统,2.取件系统） */
    private Integer sourceEnd;

    /** 增加 系统来源(1.排号系统,2.取件系统） */
    private Integer sourceIncrement;

    /** 系统来源(1.排号系统,2.取件系统）列表 */
    private List <Integer> sourceList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SmsTemplateQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SmsTemplateQuery> andConditionList;

    public SmsTemplateQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 站点ID
    * @return siteidStart
    */
    public Long getSiteidStart(){
        return this.siteidStart;
    }

    /**
    * 设置 开始 站点ID
    * @param siteidStart
    */
    public void setSiteidStart(Long siteidStart){
        this.siteidStart = siteidStart;
    }

    /**
    * 获取 结束 站点ID
    * @return $siteidEnd
    */
    public Long getSiteidEnd(){
        return this.siteidEnd;
    }

    /**
    * 设置 结束 站点ID
    * @param siteidEnd
    */
    public void setSiteidEnd(Long siteidEnd){
        this.siteidEnd = siteidEnd;
    }

    /**
    * 获取 增加 站点ID
    * @return siteidIncrement
    */
    public Long getSiteidIncrement(){
        return this.siteidIncrement;
    }

    /**
    * 设置 增加 站点ID
    * @param siteidIncrement
    */
    public void setSiteidIncrement(Long siteidIncrement){
        this.siteidIncrement = siteidIncrement;
    }

    /**
    * 获取 站点ID
    * @return siteidList
    */
    public List<Long> getSiteidList(){
        return this.siteidList;
    }

    /**
    * 设置 站点ID
    * @param siteidList
    */
    public void setSiteidList(List<Long> siteidList){
        this.siteidList = siteidList;
    }

    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }
    /**
    * 获取 模板code
    * @return codeList
    */
    public List<String> getCodeList(){
        return this.codeList;
    }

    /**
    * 设置 模板code
    * @param codeList
    */
    public void setCodeList(List<String> codeList){
        this.codeList = codeList;
    }
    /**
    * 获取 备注
    * @return summaryList
    */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
    * 设置 备注
    * @param summaryList
    */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }
    /**
    * 获取 
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }
    /**
    * 获取 开始 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @return typeStart
    */
    public Integer getTypeStart(){
        return this.typeStart;
    }

    /**
    * 设置 开始 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @param typeStart
    */
    public void setTypeStart(Integer typeStart){
        this.typeStart = typeStart;
    }

    /**
    * 获取 结束 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @return $typeEnd
    */
    public Integer getTypeEnd(){
        return this.typeEnd;
    }

    /**
    * 设置 结束 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @param typeEnd
    */
    public void setTypeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
    }

    /**
    * 获取 增加 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @return typeIncrement
    */
    public Integer getTypeIncrement(){
        return this.typeIncrement;
    }

    /**
    * 设置 增加 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @param typeIncrement
    */
    public void setTypeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
    }

    /**
    * 获取 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @return typeList
    */
    public List<Integer> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @param typeList
    */
    public void setTypeList(List<Integer> typeList){
        this.typeList = typeList;
    }

    /**
    * 获取 开始 系统来源(1.排号系统,2.取件系统）
    * @return sourceStart
    */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
    * 设置 开始 系统来源(1.排号系统,2.取件系统）
    * @param sourceStart
    */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
    * 获取 结束 系统来源(1.排号系统,2.取件系统）
    * @return $sourceEnd
    */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
    * 设置 结束 系统来源(1.排号系统,2.取件系统）
    * @param sourceEnd
    */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
    * 获取 增加 系统来源(1.排号系统,2.取件系统）
    * @return sourceIncrement
    */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
    * 设置 增加 系统来源(1.排号系统,2.取件系统）
    * @param sourceIncrement
    */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
    * 获取 系统来源(1.排号系统,2.取件系统）
    * @return sourceList
    */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 系统来源(1.排号系统,2.取件系统）
    * @param sourceList
    */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public SmsTemplateQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public SmsTemplateQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public SmsTemplateQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public SmsTemplateQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public SmsTemplateQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  站点ID
    * @param siteid
    */
    public SmsTemplateQuery siteid(Long siteid){
	    setSiteid(siteid);
		return this;
    }
	
	 /**
    * 设置 开始 站点ID
    * @param siteidStart
    */
    public SmsTemplateQuery siteidStart(Long siteidStart){
		this.siteidStart = siteidStart;
		return this;
    }

    /**
    * 设置 结束 站点ID
    * @param siteidEnd
    */
    public SmsTemplateQuery siteidEnd(Long siteidEnd){
		this.siteidEnd = siteidEnd;
		return this;
    }

    /**
    * 设置 增加 站点ID
    * @param siteidIncrement
    */
    public SmsTemplateQuery siteidIncrement(Long siteidIncrement){
		this.siteidIncrement = siteidIncrement;
		return this;
    }

    /**
    * 设置 站点ID
    * @param siteidList
    */
    public SmsTemplateQuery siteidList(List<Long> siteidList){
        this.siteidList = siteidList;
		return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public SmsTemplateQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public SmsTemplateQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }


	/**
    * 设置 模板code
    * @param code
    */
    public SmsTemplateQuery code(String code){
        setCode(code);
		return this;
    }

    /**
    * 设置 模板code
    * @param codeList
    */
    public SmsTemplateQuery codeList(List<String> codeList){
        this.codeList = codeList;
		return this;
    }


	/**
    * 设置 备注
    * @param summary
    */
    public SmsTemplateQuery summary(String summary){
        setSummary(summary);
		return this;
    }

    /**
    * 设置 备注
    * @param summaryList
    */
    public SmsTemplateQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
		return this;
    }


	/**
    * 设置 
    * @param content
    */
    public SmsTemplateQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 
    * @param contentList
    */
    public SmsTemplateQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }

    /**
    * 设置  模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @param type
    */
    public SmsTemplateQuery type(Integer type){
	    setType(type);
		return this;
    }
	
	 /**
    * 设置 开始 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @param typeStart
    */
    public SmsTemplateQuery typeStart(Integer typeStart){
		this.typeStart = typeStart;
		return this;
    }

    /**
    * 设置 结束 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @param typeEnd
    */
    public SmsTemplateQuery typeEnd(Integer typeEnd){
		this.typeEnd = typeEnd;
		return this;
    }

    /**
    * 设置 增加 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @param typeIncrement
    */
    public SmsTemplateQuery typeIncrement(Integer typeIncrement){
		this.typeIncrement = typeIncrement;
		return this;
    }

    /**
    * 设置 模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)
    * @param typeList
    */
    public SmsTemplateQuery typeList(List<Integer> typeList){
        this.typeList = typeList;
		return this;
        }

    /**
    * 设置  系统来源(1.排号系统,2.取件系统）
    * @param source
    */
    public SmsTemplateQuery source(Integer source){
	    setSource(source);
		return this;
    }
	
	 /**
    * 设置 开始 系统来源(1.排号系统,2.取件系统）
    * @param sourceStart
    */
    public SmsTemplateQuery sourceStart(Integer sourceStart){
		this.sourceStart = sourceStart;
		return this;
    }

    /**
    * 设置 结束 系统来源(1.排号系统,2.取件系统）
    * @param sourceEnd
    */
    public SmsTemplateQuery sourceEnd(Integer sourceEnd){
		this.sourceEnd = sourceEnd;
		return this;
    }

    /**
    * 设置 增加 系统来源(1.排号系统,2.取件系统）
    * @param sourceIncrement
    */
    public SmsTemplateQuery sourceIncrement(Integer sourceIncrement){
		this.sourceIncrement = sourceIncrement;
		return this;
    }

    /**
    * 设置 系统来源(1.排号系统,2.取件系统）
    * @param sourceList
    */
    public SmsTemplateQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public SmsTemplateQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public SmsTemplateQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public SmsTemplateQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public SmsTemplateQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public SmsTemplateQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SmsTemplateQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SmsTemplateQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SmsTemplateQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SmsTemplateQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}